#
# spec file for package yakuake
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yakuake
Version:        3.0.2
Release:        2.11
Summary:        Terminal for KDE
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            https://yakuake.kde.org
Source:         http://download.kde.org/stable/yakuake/%{version}/src/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM yakuake-appdata-xml-desktop-ref.patch badshah400@gmail.com -- Fix the .desktop file referenced in the appdata.xml: yakuake.desktop -> org.kde.yakuake.desktop
Patch0:         yakuake-appdata-xml-desktop-ref.patch
BuildRequires:  fdupes
BuildRequires:  karchive-devel
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifications-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kparts-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2.0
Requires:       konsole-part > 15.12
Recommends:     konsole  > 15.12
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Yakuake is a retractable KDE Terminal Emulator.

%lang_package

%prep
%setup -q
%patch0 -p1

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -G "Terminal Program" org.kde.yakuake System TerminalEmulator
  %find_lang %{name}
  %fdupes -s %{buildroot}

%post
/sbin/ldconfig
%desktop_database_post

%postun
/sbin/ldconfig
%desktop_database_postun

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING COPYING.DOC NEWS
%{_kf5_bindir}/yakuake
%config %{_kf5_configdir}/yakuake.knsrc
%{_kf5_applicationsdir}/org.kde.yakuake.desktop
%{_kf5_notifydir}/
%dir %{_kf5_sharedir}/icons/hicolor/256x256
%dir %{_kf5_sharedir}/icons/hicolor/256x256/apps
%{_kf5_sharedir}/icons/hicolor/*/*/*.*
%{_kf5_sharedir}/yakuake/
%{_kf5_appstreamdir}/

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Mon Aug  8 2016 hrvoje.senjan@gmail.com
- Use the right macro for the appdata location
* Fri Jul 15 2016 badshah400@gmail.com
- Add yakuake-appdata-xml-desktop-ref.patch: fix the .desktop file
  referenced in the appdata.xml: yakuake.desktop ->
  org.kde.yakuake.desktop.
* Thu Mar  3 2016 tittiatcoke@gmail.com
- Update to 3.0.2
  * Also install the AppData file.
* Thu Mar  3 2016 tittiatcoke@gmail.com
- Update to 3.0.1
  * Fixed installation and integratin of hicolor application icon
* Thu Mar  3 2016 tittiatcoke@gmail.com
- Update to 3.0
  * Yakuake was ported to KDE Frameworks 5 and Qt 5
  * A new default skin follows the Plasma 5 Breeze design
- Drop yakuake-2.9.9_no-close.patch
* Sun Oct  4 2015 wbauer@tmo.at
- Require konsole4-part on Leap too
* Tue May 19 2015 hrvoje.senjan@gmail.com
- On openSUSE > 13.2 Require konsole4-part
* Sun Apr 19 2015 mpluskal@suse.com
- Update project url
- Use url for source
- Use post/postun scriplets to update desktop database
- Cleanup spec file with spec-cleaner
* Mon Jun 24 2013 hrvoje.senjan@gmail.com
- Fix typo in yakuake-2.9.9_no-close.patch
* Mon Apr  8 2013 peter@rmk2.org
- Add an option for keeping the window open after the last session closes.
  * This is a patch for bko#308850, as per upstream in git commit 4655fb0a.
* Sat Oct 20 2012 tittiatcoke@gmail.com
- Update to version 2.9.9
  * Yakuake now sports a standard KDE "Configure Notifications..."
    item in its menu.
  * It is now possible to monitor sessions (or individual terminals
    within them) for activity or silence.
  * Support for Get Hot New Stuff for skins has been added.
  * Yakuake now automatically retracts after the last open tab
    closes.
  * A number of default keyboard shortcuts have been changed to
    reestablish consistency with Konsole, which introduced changed
    defaults in KDE Software Compilation v4.6.
  * Invoking the window manager maximization feature now results in
    a Yakuake window with 100%% width and height instead of the
    unresized window getting moved to the top-left corner of the
    screen. However, restore is not supported as it doesn't easily
    fit with Yakuake's window size state model.
  * Tweaks to the code Yakuake uses to make itself the active window
    when invoked should improve compatibility with more window
    managers, particularly xfwm.
  * The D-Bus API has been expanded further to cover the new activity
    and silence monitoring options, as well as with additional
    methods related to retrieving information about the keyboard
    input enabled state for sessions and terminals.
  * The "Help" button was removed from the configuration dialog since
    there currently is no handbook included.
  * Fixed errors in the tab stop order in several pages of the
    configuration dialog.
  * Fixed the message shown on stderr when Yakuake is already running
    to refer to toggling rather than opening the window, since that
    is what a repeated execution actually does - if the window is
    already open, it will be closed at this time.
  * Code cleanups, including porting away from recently deprecated
    KDE Platform APIs for future-compatibility.
* Mon Nov 28 2011 ctrippe@opensuse.org
- Recommend and not only suggest the lang package
* Mon Sep 12 2011 toddrme2178@gmail.com
- Split lang package (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Mon Aug 22 2011 mlin@novell.com
- Do not obsoletes itself(fix RPMLINT warning)
* Sat Jan 29 2011 tittiatcoke@gmail.com
- Update to version 2.9.8:
  * Added a new "Ask the window manager to perform the animation"
    option to the animation settings (only shown if Yakuake is
    running in a KDE Plasma Workspace v4.6 or newer). If this option
    is enabled (it is by default) and the KDE Desktop Effect
    "Sliding Popups" is enabled as well, the animation will be
    performed by KDE's window manager KWin, for much improved
    smoothness on many systems.
  * Added keyboard shortcuts to attempt to grow the active terminal
    in the left, right, top or bottom direction by 10px, as well
    as D-Bus calls to attempt to grow any particular terminal by a
    given amount of pixels in one of these directions.
  * Skin authors can now control whether the title bar text is set
    in a bold weight or not with the 'bold' key in the 'Text' group
    of title.skin.
  * Fixed a bug causing the "Keep above other windows" preference
    not to be respected immediately when toggling the "Keep window
    open when it loses focus" preference from the title bar or the
    main menu.
  * The contents of the "Screen" sub-menu in the main menu now get
    updated when the number of screens attached to the system changes.
* Sat Jul 17 2010 beineri@opensuse.org
- update to version 2.9.7:
  * Fixed quit action bypassing the "Confirm quit when more than
    one session is open" setting.
  * When "Prevent Closing" is toggled for a tab an appropriate icon
    will now be shown on the tab label. The icon can be provided by
    the skin, or, if the skin does not provide one, it will be
    procured from the system icon theme.
  * Thanks to API improvements in the KDE libraries in KDE SC 4.4 a
    KNotify notification is now used for announcing that Yakuake was
    started success-fully
  * Middle-clicking a tab closes it now, consistent with other apps.
  * Tabs can now also be dragged using middle-mouse, again for
    consistency with many other KDE apps.
  * Fixed a bug where dragging an inactive tab to a new position on
    the tab bar would show the tab as selected after the drop, but
    the terminal area wouldn't actually show corresponding terminal(s).
  * Fixed a bug causing the empty area of the tab bar to become
    draggable as if if was the last tab that had been clicked.
  * Fixed a bug causing the title bar corner images of a theme not
    to be shown when they don't have an alpha channel.
  * Fixed a bug causing the window to appear at a distance away from
    the top edge of the screen matching the height of a panel at the
    top edge of another screen in a multi-screen setup.
* Sat Jun 20 2009 beineri@opensuse.org
- update requirement on konsole
* Tue May 19 2009 beineri@opensuse.org
- update to version 2.9.6:
  * Fixed interactive rename of sessions not working reliably
  * Updated the application icon in the bottom-left corner graphic
  * Updated icon for default skin in configuration dialog's skin
* Mon May 11 2009 beineri@opensuse.org
- update to version 2.9.5:
  * Added a new framework to display notifications (and potentially
    other information) on top of the terminals.
  * Added an option to visually indicate the newly-focussed terminal
    when moving focus in a session with multiple terminals
  * Added a feature to disable keyboard input for all or individual
    terminals in a session.
  * Added a feature to lock a session to prevent it from being closed
  * Added support for moving tabs on the tab bar by drag and drop.
  * Added an option to open the application window after program start.
  * Improved graphics for window state lock button in default skin.
  * Added a slightly improved version of the application icon
  * Added D-Bus interfaces for splitting and other new interfaces
  * Several bug fixes
* Sun Sep 21 2008 stbinner@suse.de
- require kde4-konsole (bnc#422066)
* Sun Sep 21 2008 stbinner@suse.de
- require kdebase3 (bnc#422066)
* Sun Sep 21 2008 stbinner@suse.de
- update to version 2.9.4, fourth bug fix release of KDE4 port
* Tue Feb 26 2008 crrodriguez@suse.de
- use find_lang macro
* Sun Jan 27 2008 stbinner@suse.de
- update to new upstream version 2.8.1:
  - Added an option to control whether the Yakuake window keeps
    above other windows.
  - Improved experience for non-KDE users by disabling KRootPixmap-
    based pseudo-translucency for them. Gets rid of rendering errors
    with skins that make use of the alpha channel. Replaced by
    configurable skin background color.
  - Fix leftover gap below the window at 100%% height or in
    fullscreen mode.
  - Added option to automatically open the Yakuake window when the
    pointer touches the screen edge it lives on.
* Fri Oct  5 2007 stbinner@suse.de
- update to new upstream version 2.8:
  - Made the new behavior of the Open/Retract action focussing an
    already open Yakuake window optional.
  - The Xinerama screen setting is now updated when the window is
    moved to a different screen using facilities outside of Yakuake
    itself, such as the new shortcuts provided by Lubos Lunak's
    Xinerama Improvements patchset for KWin 3.5.x. The window size
    and position get updated to fit the new bounding box accordingly.
  - Initial session tab label naming is now consistent with Konsole.
    Instead of naively incrementing the shell number, the lowest
    available number is used.
  - Swapped horizontal & vertical split actions for consistency with Kate.
  - Added slotSessionName() and slotSessionName(int session_id) DCOP Calls.
  - Added sessionIdList() and terminalIdList(int session_id) DCOP calls.
  - Naming consistency improvements in the DCOP interface.
  - Added more What's This help in the config dialog.
  - Minor interface wording improvements.
  - Greatly expanded translation coverage.
* Fri Sep  7 2007 dkukawka@suse.de
- updated patches:
  - yakuake-fix_Accesskey_handling_v2.diff: fix b.n.c #307273,
    fixed missplaced check for Settings::popup()
* Tue May 15 2007 dkukawka@suse.de
- added patches:
  - yakuake-fix_Accesskey_handling.diff for b.n.c #272147 to change
    handling of Accesskey settings. Ask always for input key if
    there is no key set and added some KConfig::sync() calls.
* Sun May  6 2007 dkukawka@suse.de
- updated to new upstream beta version 2.8-beta1:
  * changelog to long please check ChangeLog file
* Wed May 24 2006 adrian@suse.de
- fix build for < 10.1
* Mon Mar 27 2006 dkukawka@suse.de
- updated to new upstream version 2.7.5:
  - Further translations have been added.
  - Yakuake no longer spawns login shells in new sessions.
  - A keyboard shortcut to rename the selected session has been
    added.
  - The default keyboard shortcuts and their names are now
    consistent with Konsole.
  - A bug that led to the tab bar not updating after a
    slotSelectSession DCOP call was issued has been fixed.
  - A bug that could lead to the slotRenameSession DCOP call
    failing to set a session label after an older session had been
    closed has been fixed.
  - Upon attempting to set an all-whitespace session label, the
    label will now fall back to its prior setting rather than a
    default label.
  - Yakuake will now display a warning before quitting the
    application with multiple tabs open.
* Sun Mar 19 2006 dkukawka@suse.de
- updated to new upstream version 2.7.4 :
  - A bug in the Makefiles that led to the configure script being
    run twice has been fixed.
  - The source code is now localizable. First translations are
    included.
  - A bug that could result in a crash on quit has been fixed.
  - A bug that could prevent the first line in a new session from
    being used up to the full width of the terminal has been fixed.
  - The COLORTERM environment variable is now being set in new
    sessions, triggering the color detection of Midnight Commander.
  - The default session labels are now consistent with Konsole.
  - Whitespace at the beginning or end of session labels will now
    be trimmed.
  - Setting all-whitespace session labels is no longer possible.
* Wed Feb 15 2006 stbinner@suse.de
- add GenericName to .desktop file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 dkukawka@suse.de
- initial package (v2.7.3)
